Available in VPC
View the list of access control rules set on a NAS volume instance.
Requests
The following describes the request format for the endpoint. The request format is as follows.
| Method | URI |
|---|---|
| GET | POST | /vnas/v2/getNasVolumeAccessControlRuleList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all NAS (VPC) APIs, see NAS (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the NAS volume instance for which you want to view access control rules
|
nasVolumeInstanceNo |
String | Required | NAS volume instance number for which you want to view access control rules |
responseFormatType |
String | Optional | Format type of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/getNasVolumeAccessControlRuleList
?regionCode=KR
&nasVolumeInstanceNo=23380000
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Responses
The following describes the response format.
Response body
See NasVolumeAccessControlRuleList for the response body.
Response status codes
For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.
Response example
The following is a sample response.
{
"getNasVolumeAccessControlRuleListResponse": {
"totalRows": 1,
"nasVolumeAccessControlRuleList": [
{
"serverInstanceNo": "23320000",
"readAccess": true,
"writeAccess": true
}
],
"requestId": "000087c4-4a20-4004-a78b-e493c7530000",
"returnCode": "0",
"returnMessage": "success"
}
}